/**
    * PublicPage.css
    * Styles for the public page template.
    *
    * NOTE: This file is a temporary cleanup page to consolidate some stuff 
    * but ideally those styles should be moved to base layer
    */

.rd-public-page {
    color: var(--rd-font-dark);

    section {
        margin: var(--rd-spacing-xxx-lg) 0;

        &:first-of-type {
            margin-top: 0;
        }
    }

    h1,
    h2,
    h3,
    h4,
    h5,
    h6 {
        color: inherit !important;
        line-height: 1.3 !important;
    }

    h1 {
        /* overriding color settings from .container h1 */
        margin: var(--rd-spacing-x-sm) 0 !important;
    }

    h3 {
        margin-bottom: var(--rd-spacing-md);
    }

    h5 {
        font-size: var(--rd-fontsize-6);
        font-weight: var(--rd-fontweights-open-sans-2);
        margin: 0 !important;
    }

    .rd-homepage-library {
        padding-top: var(--rd-spacing-huge);
    }


    @media (max-width: 640px) {

        section {
            margin: var(--rd-spacing-lg) 0;
        }

        .container {
            padding-left: 0 !important;
            padding-right: 0 !important;
            margin-left: var(--rd-spacing-x-big);
            margin-right: var(--rd-spacing-x-big);
        }

        h1 {
            font-size: var(--rd-fontsize-9) !important;
            text-align: left;
            line-height: 1.3 !important;
        }

        h2 {
            font-size: var(--rd-fontsize-8) !important;
            text-align: left;
            line-height: 1.3 !important;
        }

        h3 {
            text-align: left;
        }

        .rd-homepage-library {
            padding-top: var(--rd-spacing-xxx-lg);
        }
    }

}